# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name stringsearch

%global common_summary Fast searching, splitting and replacing of ByteStrings

%global common_description This package provides several functions to quickly\
search for substrings in strict or lazy ByteStrings.\
It also provides functions for breaking or splitting\
on substrings and replacing all occurrences of a\
substring (the first in case of overlaps) with another.\
GHC before 6.10 are no longer supported, other compilers\
only if they support BangPatterns. If you need it to\
work with other compilers, send a feature request.

Name:           ghc-%{pkg_name}
Version:        0.3.6.4
Release:        2%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENCE


%changelog
* Wed Jan 30 2013 Ben Boeckel <mathstuf@gmail.com> - 0.3.6.4-2
- Initial import into Fedora

* Sat Dec  8 2012 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.6.6
